#define SELDONDATA_DEBUG_LEVEL_4

#include "SeldonData.hxx"
using namespace SeldonData;

int main()
{

  TRY;

  RegularGrid<double> G1(1);
  RegularGrid<double> G2(2);
  RegularGrid<double> G3(3);
  Data<double, 1> D1(G1);
  Data<double, 2> D2(G2, G2), D3(G2, G3);

  D3.Fill(1.5);

  D1.SubData(D3, Range(0), 1);
  D2.SubData(D3, Range::all(), Range(1, 2));

  END;

  return 0;

}
